Skip to main content
`Ctrl`+`K`

# PEPSTOARGetDimensions

Gets the dimensions used for each subsolve step in case of doing spectrum slicing for a computational interval.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSTOARGetDimensions(PEP pep,PetscInt *nev,PetscInt *ncv,PetscInt *mpd)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameters

- nev - number of eigenvalues to compute

- ncv - the maximum dimension of the subspace to be used by the subsolve

- mpd - the maximum dimension allowed for the projected problem

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSTOAR`, `PEPSTOARSetDimensions()`

## Level

advanced

## Location

src/pep/impls/krylov/stoar/stoar.c

## Implementations

PEPSTOARGetDimensions_STOAR() in src/pep/impls/krylov/stoar/stoar.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages